# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-MetaCPAN-API
Version:	0.51
Release:	18.%{__distinit}%{__distvers}
Summary:	A comprehensive, DWIM-featured API to MetaCPAN
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/MetaCPAN-API
Source0:	https://cpan.metacpan.org/authors/id/H/HA/HAARG/MetaCPAN-API-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(HTTP::Tiny) >= 0.014
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(JSON::MaybeXS) >= 1.001000
BuildRequires:	perl(Moo) >= 1.000001
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(strict)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(Types::Standard)
BuildRequires:	perl(warnings)
# Test suite
BuildRequires:	perl(Exporter)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::RequiresInternet)
BuildRequires:	perl(Test::TinyMocker)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(IO::Socket::SSL)

%description
This is a hopefully-complete API-compliant interface to MetaCPAN
(https://metacpan.org/) with DWIM capabilities, to make your life easier.

However, it has been completely rewritten to address a multitude of problems,
and is now available under the new official name: MetaCPAN::Client.

Please do not use this module.

%prep
%setup -q -n MetaCPAN-API-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/MetaCPAN/
%{_mandir}/man3/MetaCPAN::API.3*
%{_mandir}/man3/MetaCPAN::API::Author.3*
%{_mandir}/man3/MetaCPAN::API::Autocomplete.3*
%{_mandir}/man3/MetaCPAN::API::Distribution.3*
%{_mandir}/man3/MetaCPAN::API::Favorite.3*
%{_mandir}/man3/MetaCPAN::API::File.3*
%{_mandir}/man3/MetaCPAN::API::Module.3*
%{_mandir}/man3/MetaCPAN::API::Rating.3*
%{_mandir}/man3/MetaCPAN::API::POD.3*
%{_mandir}/man3/MetaCPAN::API::Release.3*
%{_mandir}/man3/MetaCPAN::API::Source.3*

%changelog
* Thu Apr 27 2023 Paul Howarth <paul@city-fan.org> - 0.51-18
- Use SPDX-format license tag

* Sun Jun 18 2017 Paul Howarth <paul@city-fan.org> - 0.51-1
- Update to 0.51
  - Switch to v1 API
    - Old complex query forms may stop working with new API
  - Stop relying on . being in @INC
  - Drop URI::Escape prereq
  - Switch from JSON to JSON::MaybeXS
  - Test clean-ups
- This release by HAARG → update source URL
- Drop redundant Group: tag

* Mon Sep  5 2016 Paul Howarth <paul@city-fan.org> - 0.50-5
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Jan 26 2015 Paul Howarth <paul@city-fan.org> - 0.50-1
- Update to 0.50
  - Convert to Moo
  - Use Types::Standard
  - Remove Module::Build
  - Deprecate using x_deprecate meta-data

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.44-3
- Use %%license where possible

* Fri Apr 25 2014 Paul Howarth <paul@city-fan.org> - 0.44-1
- Update to 0.44
  - This module is deprecated; please use MetaCPAN::Client instead

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.43-2
- Perl 5.16 rebuild

* Wed Apr 18 2012 Paul Howarth <paul@city-fan.org> - 0.43-1
- Initial RPM version
